<?php
if ( ! defined( 'ABSPATH' ) ) {
	die();
}

/**
 * A simple logger which logs everything to the /wp-content/debug.log file.
 *
 * To enable, make sure to add the following lines to your wp-config.php:
 *
 * // Turns WordPress debugging on
 * define('WP_DEBUG', true);
 *
 * // Tells WordPress to log everything to the /wp-content/debug.log file
 * define('WP_DEBUG_LOG', true);
 *
 * // Doesn’t force the PHP 'display_errors' variable to be on
 * define('WP_DEBUG_DISPLAY', false);
 *
 * // Hides errors from being displayed on-screen
 * @ini_set('display_errors', 0);
 *
 * @param $message
 */
function log_me($message) {
	if (WP_DEBUG === true) {

		if (is_array($message) || is_object($message)) {
			error_log(print_r($message, true));
		} else {
			error_log($message);
		}
	}
}

?>